Bug 615432 - The puppet package should own /usr/share/puppet/modules
The puppet package should own /usr/share/puppet/modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 13:49 EDT by Marshall Miller
Modified: 2011-09-27 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: puppet-2.6.6-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 13:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marshall Miller 2010-07-16 13:49:19 EDT
Description of problem:
By default, puppet searches /usr/share/puppet/modules for modules.  A package I am submitting (secstate) provides some modules and would like to place them in this directory, but it doesn't seem appropriate for my package to own this directory.

Version-Release number of selected component (if applicable):
all
Comment 1 Todd Zullinger 2010-07-16 14:50:33 EDT
This sounds reasonable.  I'll add it to the spec file and push upstream.  This won't go out as an update immediately though, we'll wait to gather up a few other fixes and see whether we will be updating to puppet-2.6.0.
Comment 2 Marshall Miller 2010-07-16 15:21:12 EDT
That sounds great.  Thank you.
Comment 3 Bug Zapper 2010-07-30 08:37:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2011-03-18 16:01:00 EDT
puppet-2.6.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc14
Comment 5 Fedora Update System 2011-03-18 16:01:34 EDT
puppet-2.6.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.el5
Comment 6 Fedora Update System 2011-03-18 16:02:01 EDT
puppet-2.6.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc15
Comment 7 Fedora Update System 2011-03-18 16:02:27 EDT
puppet-2.6.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.fc13
Comment 8 Fedora Update System 2011-03-18 16:02:53 EDT
puppet-2.6.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.6.6-1.el6
Comment 9 Fedora Update System 2011-09-26 13:55:09 EDT
puppet-2.6.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-09-27 14:32:34 EDT
puppet-2.6.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-09-27 18:59:25 EDT
puppet-2.6.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-09-27 19:00:49 EDT
puppet-2.6.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.